Bug 35051 - VIM can't execute external commands because of tmp file
Summary: VIM can't execute external commands because of tmp file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-06 16:12 UTC by schmoe
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-06 17:06:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description schmoe 2001-04-06 16:12:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)


The recent security update of VIM breaks the ability to use external
functions
like "fmt" to format text.  The program complains "/tmp/vouDuYYB: File
exists";
the specific tmp filename is different each time, of course.

Reproducible: Always
Steps to Reproduce:
1. Run vim
2. Enter some text
3. Try formatting it with something like !}fmt
	

Actual Results:  The "File exists" error is given and the text piped out to
the fmt command
is lost.

Expected Results:  The text should have been piped through fmt (and thus
formatted) and then
re-inserted in place of the text that was removed.

Comment 1 schmoe 2001-04-06 17:06:48 UTC
Further experimentation shows that the problem only crops up if the (t)csh
"noclobber" is set.
Before "set noclobber", the pipe through fmt works fine.  Afterwards, the /tmp
file error comes 
up.

Comment 2 Bernhard Rosenkraenzer 2002-01-22 15:27:03 UTC
This is fixed in the current version.


Note You need to log in before you can comment on or make changes to this bug.